package com.plannaplan.responses.mappers;

import static org.junit.jupiter.api.Assertions.assertTrue;

import java.util.Arrays;
import java.util.List;

import com.plannaplan.entities.Assignment;
import com.plannaplan.entities.Commision;
import com.plannaplan.entities.Groups;
import com.plannaplan.responses.models.GetCurrentAssignmentsResponse;

import org.junit.Test;

public class AssignmentResponseMappersTest {
    @Test
    public void shouldReturnNewList() {
        final Commision com = new Commision();
        final List<Assignment> groups = Arrays.asList(new Assignment(new Groups(), com),
                new Assignment(new Groups(), com));
        final List<GetCurrentAssignmentsResponse> response = AssignmentResponseMappers.mapToResponse(groups);

        assertTrue(response.size() == 2);
        assertTrue(response instanceof List);
        assertTrue(response.get(0) instanceof GetCurrentAssignmentsResponse);
    }
}
